Subject: bug#8750: 24.0.50; Crash in daemon mode when display goes away

From: Nix <[email-masked]>
Date: Sun, 29 May 2011 00:37:41 +0100

On 28 May 2011, Glenn Morris said:

> Nix wrote:
>
>> I suspend my desktop box every night, to save power. My Emacs runs on a
>> remote system in --daemon mode, and is never shut down. $DISPLAY on that
>> system points directly to the desktop box: this is sometimes suspended,
>> so the TCP/IP connection cannot be assumed to stay up. (Nonetheless, if
>> it goes away, if it is re-established, the X session will be exactly as
>> it was.)
>>
>> When this happens, Emacs's X error handler kicks in and kills it:
>
> Sounds like this etc/PROBLEMS entry:
>
> ** When Emacs is compiled with Gtk+, closing a display kills Emacs.

Yeah, but I foolishly assumed that --daemon would evade this. (It's not
as if it even *has* a display it's displaying anything on when there
are no frames.)

If it doesn't evade this, dammit it *should*. :)

>> (If this is impossible, can anyone suggest a way to keep Emacs running
>> while the X server is down? I've tried xpra, but its keyboard handling
>> is too broken :( )
>
> You can try using a Lucid toolkit build.

Will do.

-- 
NULL && (void)